declare module "react-native-web-fetchimage" {
  import {StyleProp, ImageStyle, ImageSourcePropType, ViewProps} from "react-native";

  interface IProps {
    blurRadius?: number,
    draggable?: boolean,
    defaultSource?: ImageSourcePropType,
    source: ImageSourcePropType,
    style?: StyleProp<ImageStyle>,
    onError?: (e: any) => void,
    onLayout?: (e: any) => void,
    onLoad?: (e: any) => void,
    onLoadEnd?: (e: any) => void,
    onLoadStart?: (e: any) => void,
    onProgress?: (e: any) => void,
  }

  type Props = ViewProps & IProps;

  export default class FetchImage extends React.Component<Props> {}
}